please build/install highbank dtb file

Bug #1030600 reported by dann frazier on 2012-07-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Precise
Medium
Andy Whitcroft
Quantal
Medium
Andy Whitcroft

Bug Description

Though real highbank hardware provides the device tree information in-ROM, the highbank.dtb file is needed to boot a highbank instance in QEMU. Please build/install dtb files as part of the standard linux-image packages. Here's a patch:

http://kernel.ubuntu.com/git?p=dannf/ubuntu-precise.git;a=commitdiff;h=65d1cc44454e7b9b2c74ab43821bfe643cff27b0

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1030600

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
dann frazier (dannf) wrote :

Marking Confirmed, as no logs are necessary to describe the issue.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Andy Whitcroft (apw) on 2012-07-30
tags: added: bot-stop-nagging
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2012-07-30
Changed in linux (Ubuntu Precise):
status: New → In Progress
Changed in linux (Ubuntu Quantal):
status: Confirmed → In Progress
Andy Whitcroft (apw) on 2012-07-30
Changed in linux (Ubuntu Precise):
status: In Progress → Confirmed
Changed in linux (Ubuntu Quantal):
status: In Progress → Confirmed
Andy Whitcroft (apw) on 2012-07-30
Changed in linux (Ubuntu Quantal):
status: Confirmed → In Progress
Tim Gardner (timg-tpi) on 2012-07-31
Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-7.7

---------------
linux (3.5.0-7.7) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_X86_POWERNOW_K6=m
  * [Config] CONFIG_X86_POWERNOW_K7=m
  * [Config] CONFIG_X86_LONGHAUL=m
  * [Config] CONFIG_X86_LONGRUN=m
  * [Config] CONFIG_X86_GX_SUSPMOD=m
  * [Config] CONFIG_X86_CPUFREQ_NFORCE2=m
  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372
  * [Config] enable CONFIG_VFAT_FS=y for EFI systems
  * [Config] CONFIG_USB_G_MULTI=n on highbank
  * [Config] annotate: CONFIG_USB_INVENTRA_DMA OMAP2 specific
  * [Config] CONFIG_WAN_ROUTER disable for arm
  * add support for generating binary device trees and install them in
    /lib/firmware
    - LP: #1030600
  * [Config] add dtb_file configuration for highbank
    - LP: #1030600

  [ Tim Gardner ]

  * SAUCE: ene_ub6250: Use macros for firmware names
  * SAUCE: s2255drv: Add MODULE_FIRMWARE statement
  * SAUCE: xc5000: Add MODULE_FIRMWARE statements
  * SAUCE: firmware: remove computone driver firmware and documentation
  * SAUCE: lgs8gxx: Declare MODULE_FIRMWARE usage
  * SAUCE: firmware: Remove obsolete Myricom firmware
  * SAUCE: staging rtl8192e: Declare MODULE_FIRMWARE usage
  * SAUCE: tlg2300: Declare MODULE_FIRMWARE usage
  * SAUCE: ueagle-atm: Declare MODULE_FIRMWARE usage
  * SAUCE: usbduxfast: Declare MODULE_FIRMWARE usage
  * SAUCE: usbdux: Declare MODULE_FIRMWARE usage
  * SAUCE: usbduxsigma: Declare MODULE_FIRMWARE usage
  * SAUCE: cx25840: Declare MODULE_FIRMWARE usage
  * SAUCE: cx18: Declare MODULE_FIRMWARE usage
  * SAUCE: ivtv: Declare MODULE_FIRMWARE usage
  * SAUCE: cx231xx: Declare MODULE_FIRMWARE usage
  * SAUCE: cx23885: Declare MODULE_FIRMWARE usage
  * SAUCE: pvrusb2: Declare MODULE_FIRMWARE usage
  * SAUCE: vxge: Declare MODULE_FIRMWARE usage

  [ Upstream Kernel Changes ]

  * mac80211: fix crash with single-queue drivers
    - LP: #1022351
 -- Leann Ogasawara <email address hidden> Mon, 30 Jul 2012 11:11:05 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-30.47). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
dann frazier (dannf) wrote :

ubuntu@ecx1k1:~$ cat /proc/version
Linux version 3.2.0-30-highbank (buildd@chort) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #47-Ubuntu SMP PREEMPT Wed Aug 15 21:32:02 UTC 2012
ubuntu@ecx1k1:~$ ls -l /lib/firmware/$(uname -r)/device-tree
total 4
-rw-r--r-- 1 root root 3624 Aug 15 20:26 highbank.dtb

tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-30.48

---------------
linux (3.2.0-30.48) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1041217

  [ Upstream Kernel Changes ]

  * mutex: Place lock in contended state after fastpath_lock failure
    - LP: #1041114

linux (3.2.0-30.47) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036581

  [ Andy Whitcroft ]

  * add support for generating binary device trees and install them in
    /lib/firmware
    - LP: #1030600
  * [Config] add dtb_file configuration for highbank
    - LP: #1030600

  [ Chris Van Hoof ]

  * SAUCE: dell-laptop: additional rfkill blacklist Dell XPS 13
    - LP: #1030957
  * [Config] Add cifs support to the nfs-modules list
    - LP: #1031398

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Dann Frazier ]

  * [Config] Compile the rtc-pl031 driver builtin on the highbank kernel
    flavour
    - LP: #1035110

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Rob Herring ]

  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1033853
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1033853
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1033853
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1033853

  [ Stefan Bader ]

  * (pre-stable) KVM: VMX: Set CPU_BASED_RDPMC_EXITING for nested
    - LP: #1031090

  [ Tim Gardner ]

  * [Config] updateconfigs

  [ Upstream Kernel Changes ]

  * ideapad: generate valid key event only
    - LP: #1029834
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1032640
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1032640
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1032640
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1032640
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1032640
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1032640
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1032640
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1032640
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1032640
  * vmscan: promote shared file mapped pages
    - LP: #1032640
  * vmscan: activate executable pages after first usage
    - LP: #1032640
  * mm/vmscan.c: consider swap space when deciding whether to continue
    reclaim
    - LP: #1032640
  * mm: test PageSwapBacked in lumpy reclaim
    - LP: #1032640
  * mm: vmscan: convert global reclaim to per-memcg LRU lists
    - LP: #1032640
  * cpuset: mm: reduce large amounts of memory barrier related damage v3
    - LP: #1032640
  * mm/hugetlb: fix warni...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers